/*----------------------------------------------------*/

TH1D
* mkTH1D(char *str1, char *str2, int nn, double lo, double hi)
{
  TH1D           *tmppt;

  if (!UpdateRootFile)
  {
    tmppt = new TH1D(str1, str2, nn, lo, hi);
    printf("Created Object \"%s\", %p\n", str1, tmppt);
  } else
  {
    tmppt = (TH1D *) gROOT->FindObject(str1);
    printf("Found Object \"%s\", %p\n", str1, tmppt);
  }

  return (tmppt);

}

/*----------------------------------------------------*/

TH2F
* mkTH2F(char *str1, char *str2,
	 int nn1, double lo1, double hi1,
	 int nn2, double lo2, double hi2)
{
  TH2F           *tmppt;

  if (!UpdateRootFile)
  {
    tmppt = new TH2F(str1, str2, nn1, lo1, hi1, nn2, lo2, hi2);
    printf("Created Object \"%s\", %p\n", str1, tmppt);
  } else
  {
    tmppt = (TH2F *) gROOT->FindObject(str1);
    printf("Found Object \"%s\", %p\n", str1, tmppt);
  };

  return (tmppt);

}



/*--------------------------------------------------------*/

void
CheckNoArgs(int required, int actual, char *str)
{

  if (required < actual)
  {
    printf("argument problem with chat option\n");
    printf("--> %s\n", str);
    printf("required # arguments: %i\n", required - 1);
    printf("actual   # arguments: %i\n", actual - 1);
    printf("Please fix and try again, quitting...\n");
    exit(1);
  };

}

